@import "gallery.css";
@import "buttons.css";

@font-face {
    font-display: swap;
    font-family: Bentley;
    font-style: normal;
    font-weight: 300;
    src: url(../../assets/fonts/bentley-light.woff2) format("woff2")
}

@font-face {
    font-display: swap;
    font-family: Bentley;
    font-style: normal;
    font-weight: 400;
    src: url(../../assets/fonts/bentley-regular.woff2) format("woff2")
}

@font-face {
    font-display: swap;
    font-family: Bentley;
    font-style: normal;
    font-weight: 600;
    src: url(../../assets/fonts/bentley-semibold.woff2) format("woff2")
}

@font-face {
    font-display: swap;
    font-family: Bentley;
    font-style: normal;
    font-weight: 700;
    src: url(../../assets/fonts/bentley-bold.woff2) format("woff2")
}

@font-face {
    font-display: swap;
    font-family: Bentley;
    font-style: italic;
    font-weight: 400;
    src: url(../../assets/fonts/bentley-regular_italic.woff2) format("woff2")
}

html, body {
    position: relative;
    height: 100%;
}

body {
    font-family: Bentley, sans-serif;
    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    color: #fbf9f8;
}

.body {
    width: 100%;
    padding: 0 15px;
    min-height: calc(100% - 223px);
}

.dark-bg {
    background: #2e4a57 !important;
}

.dark-bg-gradient {
    background: linear-gradient(to bottom right, #2e4a57, #20343f) !important;
}

.dark-extra-text {
    color: #0d161f !important;
}

#background-image {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background: linear-gradient(to bottom, rgb(45 44 45), rgb(13 22 31 / 50%)), url(/assets/images/bg-main.jpeg) no-repeat left center;
    background-size: 150%;
    z-index: -1;

    &:after {
        content: '';
        background: #070e14cf;
        position: fixed;
        height: 100%;
        width: 100%;
        backdrop-filter: blur(10px); /* 2. The frosted glass effect */
        -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    }
}

h1 {
    color: #fbf9f8;
    font-weight: 100;
}

.timeslot {
    display: inline-block;
    padding: 10px;
    margin: 5px;
    /*border:1px solid #ccc;*/
    cursor: pointer;
    border-radius: 16px;
    box-shadow: 1px 1px 5px #c9d1d9;
}

.booked {
    background: transparent;
    cursor: not-allowed;
    box-shadow: none;
    text-decoration: line-through;
}

.available {
    background: green;
    box-shadow: 1px 1px 5px #003700;
}

.selected-t {
    background: #006b00;
    border: #004100 0px solid;
    box-shadow: inset #003b00 1px 1px 2px 2px, 1px 1px 5px #003700;
}

.light-section {
    border-radius: 5px;
    background: #f1f4f7;
    box-shadow: 1px 1px 5px #c9d1d9;
    padding: 15px;
    margin: 20px 0;
}

#guest-add-section {
    .guest-label {
        display: flex;
        align-items: center;
        padding-right: 10px;
    }
}

.vehicle-edit-banner {
    position: relative;
    display: flex;
    box-shadow: 1px 1px 5px #79848f;
    color: #fbf9f8;

    .vehicle-image-banner {
        position: relative;
        object-fit: cover;
        height: 100%;
        /*max-height: 600px;*/
        /*width: 100%;*/
    }

    .vehicle-title-banner {
        padding: 10px;
        text-align: center;
        position: relative;
        /*margin-left: auto;*/
        right: 0;
        top: 0;
        height: 100%;
        background: rgb(8 13 18 / 88%); /* 1. Semi-transparent background */
        backdrop-filter: blur(10px); /* 2. The frosted glass effect */
        -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
        /*border-top: 1px solid rgba(255, 255, 255, 0.3);*/
        border-bottom: 1px solid rgba(255, 255, 255, 0.3);
        box-shadow: 0 4px 5px rgb(18 18 18 / 87%), 0 -4px 5px rgb(18 18 18 / 47%);

        &::before {
            /*content: "";*/
            position: absolute;
            display: block;
            height: 100%;
            width: 100%;
            top: 0;
            left: 0;
            z-index: -1;
            background: rgb(8 13 18 / 88%); /* 1. Semi-transparent background */
            backdrop-filter: blur(10px); /* 2. The frosted glass effect */
            -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
            /*border-top: 1px solid rgba(255, 255, 255, 0.3);*/
            border-bottom: 1px solid rgba(255, 255, 255, 0.3);
            box-shadow: 0 4px 5px rgb(18 18 18 / 87%), 0 -4px 5px rgb(18 18 18 / 47%);
        }

    }

    &.smaller-banner {
        .vehicle-image-banner {
            max-height: 300px;
        }
    }
}

.booking-manage-container {
    .vehicle-edit-banner {
        position: relative;
        display: flex;
        box-shadow: 1px 1px 5px #79848f;
        color: #fbf9f8;

        .vehicle-image-banner {
            position: absolute;
            top: 0;
            left: 0;
            object-fit: cover;
            height: 100%;
            max-height: 600px;
            width: 100%;
        }

        .vehicle-title-banner {
            padding: 50px 30px;
            text-align: center;
            position: relative;
            margin-left: auto;
            right: 0;
            top: 0;
            height: 100%;
            background: rgb(8 13 18 / 88%); /* 1. Semi-transparent background */
            backdrop-filter: blur(10px); /* 2. The frosted glass effect */
            -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
            /*border-top: 1px solid rgba(255, 255, 255, 0.3);*/
            border-bottom: 1px solid rgba(255, 255, 255, 0.3);
            box-shadow: 0 4px 5px rgb(18 18 18 / 87%), 0 -4px 5px rgb(18 18 18 / 47%);

            &::before {
                content: "";
                position: absolute;
                display: block;
                height: 100%;
                width: 100%;
                top: 0;
                left: 0;
                z-index: -1;
                background: rgb(8 13 18 / 88%); /* 1. Semi-transparent background */
                backdrop-filter: blur(10px); /* 2. The frosted glass effect */
                -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
                /*border-top: 1px solid rgba(255, 255, 255, 0.3);*/
                border-bottom: 1px solid rgba(255, 255, 255, 0.3);
                box-shadow: 0 4px 5px rgb(18 18 18 / 87%), 0 -4px 5px rgb(18 18 18 / 47%);
            }

        }
    }
}

.vehicle-list-item {
    width: 100%;
    background: rgba(40, 40, 40, 0.22); /* 1. Semi-transparent background */
    backdrop-filter: blur(10px); /* 2. The frosted glass effect */
    -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.4);
    color: #fbf9f8;
}

.navbar {
    width: 100%;
    background: #0d161f;
    box-shadow: 1px 1px 10px #0a1118;
    z-index: 2;

    .navbar-toggler {
        border: none;

        &:focus {
            border: none;
            box-shadow: none;
        }
    }

    .navbar-brand {
        height: 130px;
        width: 100%;
        padding: 10px 0;

        img {
            object-fit: contain;
            position: relative;
            height: 100%;
        }
    }

    .navbar-nav {
        width: 100%;
        justify-content: end;

        .nav-item {
            .nav-link {
                color: #fbf9f8;
                text-decoration: none;
                position: relative;
                padding: 8px 25px;

                &.effect::before,
                &.effect::after {
                    content: "";
                    position: absolute;
                    display: block;
                    border: 0 solid transparent;
                    width: 0%;
                    height: 0%;
                    transition: all 0.5s ease;
                }

                &.effect::after {
                    top: 0;
                    left: 0;
                    border-top: 2px solid transparent;
                    border-left: 2px solid transparent;
                }

                &.effect::before {
                    right: 0;
                    bottom: 0;
                    border-bottom: 2px solid transparent;
                    border-right: 2px solid transparent;
                }

                &.effect:hover::before,
                &.effect:hover::after {
                    width: 100%;
                    height: 100%;
                    border-color: #A6A6A6;
                }

            }
        }
    }

    .dropdown-menu {
        border-radius: 0;
        background-color: rgb(67 67 67 / 90%);


        li {
            a {
                color: #fbf9f8;
                transition: background-color 0.3s ease-in-out;

                &:hover {
                    background-color: rgb(234 234 234 / 12%);
                    transition: background-color 0.3s ease-in-out;
                    box-shadow: none;
                    border: none;
                }
            }

            .dropdown-header {
                color: #adadad;
                font-weight: 100;
                padding-bottom: 0px;
                padding-top: 10px;
            }

            .dropdown-divider {
                /*margin-top:3px;*/
                border-color: grey;
                margin-left: 16px;
                margin-right: 16px;
            }

        }
    }

    .navbar-toggler-icon {
        filter: invert(1);
    }

    .navbar-collapse {

        &.show, &.collapsing {
            background: #292a2bf5;
            width: 100%;
            position: absolute;
            z-index: 2;
            top: 115px;
            left: 0;
            padding: 15px;
            font-size: 1.3em;
            box-shadow: 0px 10px 10px rgb(30 30 30 / 53%), 0px 10px 30px rgb(51 51 51 / 35%), 0px 20px 50px rgb(0 0 0 / 53%), 0px 30px 70px rgb(4 4 4 / 35%);

            .nav-link {
                padding: 15px 0;
                font-weight: lighter;
            }
        }
    }

}

footer {
    width: 100%;
    background-color: rgb(0 0 0 / 13%);
    border: solid rgba(0, 0, 0, .15);
    border-width: 1px 0;
    box-shadow: inset 0 .5em 1.5em #0000001a, inset 0 .125em .5em #00000026;

    .border-top {
        border-color: rgba(255, 255, 255, 0.16) !important;
    }
}

.default-blur {
    background: #0d161f; /* 1. Semi-transparent background */
    backdrop-filter: blur(10px); /* 2. The frosted glass effect */
    -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.4);
    color: #fbf9f8;
}

.vehicle-container {
    padding: 15px;
}

.schedule-container {
    max-width: 600px;
    margin: auto;
    background: rgba(255, 255, 255, 0.27);
    padding: 20px;
    border-radius: 8px;

    #bookings-schedule {
        position: relative;
        border-left: 2px solid #ccc;
        padding-left: 20px;
        height: calc(60px * 14 / 2); /* 14 hours from 7 to 20 */
        margin-left: 5px;


        .time-slot {
            height: 30px;
            border-bottom: 1px solid #eeeeee26;
            position: relative;
        }

        .time-label {
            position: absolute;
            left: -70px;
            top: 100%;
            transform: translateY(-50%);
            font-weight: bold;
            color: #c7c7c7;
        }

        .booking-block {
            position: absolute;
            /*left: 80px;*/
            width: calc(100% - 40px);
            padding: 10px;
            border-radius: 6px;
            color: #fff;
            background-color: #2e4a57;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
            overflow: hidden;
        }

    }
}

.vehicle-view-top {
    width: 100%;
    background: rgba(40, 40, 40, 0.22);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.4);
    color: #fbf9f8;

    .vehicle-view-image {
        /*box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.87);*/
        height: 500px;
    }

    .fee {
        letter-spacing: 2px;
    }

}

.carousel {
    width: 100%;

    .carousel-control-next, .carousel-control-prev {
        width: 10%;
    }

    .carousel-item {
        height: 45rem;

        img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .carousel-caption {
            position: absolute;
            background: #070d12;
            display: flex;
            align-items: center;
            justify-content: center;
            right: 0;
            left: unset;
            height: 100%;
            width: 45%;
            top: 0;
            padding: 1.25rem 8em;
            box-shadow: -4px 0px 16px #1a1d20;
        }
    }

    .caption-wrapper {
        position: relative;
        padding-bottom: 15px;
        display: inline-block;

        h1, p {
            position: relative;
            font-size: 1.2em;
        }

        h1 {
            font-size: 3.5em;
            margin-bottom: 20px;
        }

        /*.inner-caption-main-item {*/
        /*    position: relative;*/
        /*    padding: 25px 20px 90px 10px;*/
        /*    z-index: 1;*/
        /*    margin-bottom: -80px;*/

        /*    &::before {*/
        /*        content: "";*/
        /*        height: 107%;*/
        /*        width: 102%;*/
        /*        !*min-height: 310px;*!*/
        /*        !*min-width: 420px;*!*/
        /*        display: block;*/
        /*        position: absolute;*/
        /*        z-index: -1;*/
        /*        left: -0.6em;*/
        /*        top: -0.4em;*/
        /*        background: rgb(119 119 119 / 50%); !* 1. Semi-transparent background *!*/
        /*        backdrop-filter: blur(10px); !* 2. The frosted glass effect *!*/
        /*        -webkit-backdrop-filter: blur(10px); !* Vendor prefix for compatibility *!*/
        /*        box-shadow: 0 0px 10px 10px rgb(57 57 57 / 44%), 0 0px 70px 75px rgb(24 24 24 / 50%), 0 0px 70px 75px rgb(255 255 255 / 28%);*/
        /*    }*/
        /*}*/

        /*.inner-caption-item {*/
        /*    position: relative;*/
        /*    z-index: 1;*/
        /*    padding: 15px 5px;*/

        /*    &::before {*/
        /*        content: "";*/
        /*        height: 100%;*/
        /*        width: 115%;*/
        /*        !*min-height: 310px;*!*/
        /*        !*min-width: 420px;*!*/
        /*        display: block;*/
        /*        position: absolute;*/
        /*        z-index: -1;*/
        /*        right: -0.9em;*/
        /*        bottom: -0.2em;*/
        /*        background: rgb(130 130 130 / 30%); !* 1. Semi-transparent background *!*/
        /*        backdrop-filter: blur(10px); !* 2. The frosted glass effect *!*/
        /*        -webkit-backdrop-filter: blur(10px); !* Vendor prefix for compatibility *!*/
        /*        box-shadow: 0 4px 15px rgba(0, 0, 0, 0.4);*/
        /*    }*/
        /*}*/
    }

    &.vehicle-image-banner {
        .carousel-item {
            height: 30rem;
        }
    }
}

.mini-gallery {
    display: flex;
    flex-wrap: wrap;

    .mini-gallery-item {
        width: 33%;
        height: 100px;
        position: relative;
        display: block;
        padding: 5px;

        .image-remove-container {
            height: 0px;
            width: 0px;
            display: flex;
            justify-content: center;
            align-content: center;
            position: absolute;
            top: 0px;
            left: 0px;
            overflow: hidden;
            background-position: center;
            background-color: rgba(13, 22, 31, 0.8);
            transition: all 0.3s ease-in-out;
        }

        &:hover {
            .image-remove-container {
                height: 100%;
                width: 100%;
            }
        }

        img {
            height: 100%;
            width: 100%;
            position: relative;
            object-fit: cover;
            display: block;
        }
    }
}

.marketing-item {
    text-align: center;
    color: #fbf9f8;

    h2 {
        margin-top: 1em;
    }

    .btn {
        margin-top: 1em;
    }
}

.featurette-divider {
    margin: 5rem 0;
    border-color: #fbf9f8;
}

.featurette-heading {
    /*margin-top: 7rem;*/
    margin-bottom: 30px;
    font-size: 3.2em;
    letter-spacing: -.05rem;
    color: #fbf9f8;
    font-weight: 100 !important;

    span {
        color: #b7bbbc;
    }
}

.lead {
    font-size: 1.25rem;
    font-weight: 300;
    color: #fbf9f8;
}

.home-images-wrapper {
    position: relative;
    min-height: 250px;
    transition-duration: 0.25s;
    /*width: 90%;*/

    &::before {
        /*content: "";*/
        height: 107%;
        width: 102%;
        min-height: 310px;
        /*min-width: 420px;*/
        display: block;
        position: absolute;
        z-index: 0;
        left: -0.6em;
        top: -0.9em;
        background: rgba(11, 25, 30, 0.3); /* 1. Semi-transparent background */
        backdrop-filter: blur(10px); /* 2. The frosted glass effect */
        -webkit-backdrop-filter: blur(10px); /* Vendor prefix for compatibility */
        /*box-shadow: 0 4px 30px rgba(0, 0, 0, 0.4);*/
    }

    &::after {
        content: "";
        height: 100%;
        width: 100%;
        /*min-height: 310px;*/
        /*min-width: 420px;*/
        display: block;
        position: absolute;
        z-index: 1;
        right: 0em;
        bottom: 0em;
        border: 15px solid rgb(15 33 39 / 40%);
        /*background: rgb(15 33 39 / 30%); */
        /*backdrop-filter: blur(10px);*/
        /*-webkit-backdrop-filter: blur(10px);*/
        /*box-shadow: 0 4px 30px rgba(0, 0, 0, 0.4);*/
    }

    .home-images {
        object-fit: cover;
        position: relative;
        display: flex;
        height: 100%;
        width: 100%;
        z-index: 1;
        box-shadow: 0 4px 30px rgba(0, 0, 0, 0.5);

    }

}

.modal-content {
    background: #0d161f;
    border: none;
    border-radius: 0;

    .modal-header {
        border-bottom-color: #afafaf69;

        .modal-title {
            color: #e8e8e8;
        }
        .btn-close {
            filter: invert(1);
        }
    }

    .modal-body {
        label {
            color: #e8e8e8;
        }
    }

    .modal-footer {
        border-top-color: #afafaf69;
    }
}

.full-label {
    position: relative;
    width: calc(100% + 45px);
    margin-left: -38px;
}

.pf-logo {
    display: block;
    margin: 20px auto;
    height: 100px;
}

.form-control {
    background: #28282a;
    border-radius: 0px;
    color: #fbf9f8;
    padding: 11px 7px;
    border-top: transparent;
    border-left: transparent;
    border-right: transparent;

    &:focus {
        background: #28282a;
        color: #fbf9f8;
        border-color: #1a1d20;
        box-shadow: 0 0 0 .25rem rgb(0 0 0 / 25%);
    }

    &:disabled {
        background-color: #1a1a1a;
        opacity: 0.5;
    }
}

input[type="date"]::-webkit-calendar-picker-indicator {
    filter: invert(1); /* Inverts a black icon to #fbf9f8 */
    /* For other colors, you can use hue-rotate and other filters: */
    /* filter: invert(48%) sepia(13%) saturate(3207%) hue-rotate(130deg) brightness(95%) contrast(80%); */
}

::placeholder {
    color: rgba(255, 255, 255, 0.56) !important; /* Red color, you can use color names, hex codes, etc. */
    font-weight: 100;
}

table {
    th {
        align-items: start;
        vertical-align: text-top;
        padding-left: 5px;
        padding-right: 5px;


    }

    .filter-container {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        align-items: center;

        span {
            width: 100%;
        }

        .filter {
            &.w-50 {
                max-width: 160px;
            }
        }

        .btn-primary {
            flex-grow: 1;
        }

        &.smaller-input {
            input {
                max-width: 120px;
            }
        }
    }

    &.bookings-table {
        th {
            /*border-top: 1px solid #e8e8e83d;*/
            border-bottom: 1px solid #e8e8e83d;
            padding-bottom: 5px;
            padding-top: 5px;
        }
    }

    td {
        padding-left: 5px;
        padding-right: 5px;

    }
}

.default-shadow {
    box-shadow: -2px 0px 7px rgb(45 45 45 / 87%);
}

.card-item {
    position: relative;

    .card-item-inner {
        position: relative;
        display: flex;
        flex-direction: column;
        height: 100%;
        margin: 10px 35px;
        background-color: transparent;
        transition: all 0.4s ease-out;
        /*box-shadow: -1px -1px 1px #1e2c39e6;*/
        overflow: hidden;
        color: #fbf9f8;

        &:before {
            content: "";
            z-index: -1;
            position: absolute;
            display: block;
            height: 100%;
            width: 100%;
            top: 0;
            left: 0;
            background: linear-gradient(161deg, #2e4a57, transparent, transparent);
            transition: all 0.4s ease;
        }

        &:hover {

            &:before {
                transition: all 0.5s ease-in;
                transform: rotate(15deg) scale(125%);
            }
        }

        img {
            height: 120px;
            width: 100%;
            object-fit: cover;
        }

        .card-item-body {
            /*box-shadow: 0px -3px 7px #192c35;*/
            z-index: 1;
            position: relative;
            box-shadow: -1px 1px 1px #1e2c39e6;
            margin: 0px 20px;
            height: 100%;
            padding: 15px 25px;
            width: 85%;
            display: flex;
            flex-wrap: wrap;
            justify-content: center;
            align-content: space-between;
            flex-grow: 1;

            h2 {
                width: 100%;
                margin-top: 20px;
                font-size: 2.5em;
                font-weight: 100;
                letter-spacing: 2px;
                margin-bottom: 0px;
            }

            p {
                font-size: 1.2em;
                font-weight: 100;
            }
        }
    }
}

.owl-carousel {
    .owl-nav {
        font-size: 4em;
        .owl-prev {
            position: absolute;
            height: 100%;
            top: 0;
            left: -7%;

            &:hover {
                background-color: transparent !important;
                opacity: 0.8;
            }
        }
        .owl-next {
            position: absolute;
            height: 100%;
            top: 0;
            right: -7%;

            &:hover {
                background-color: transparent !important;
                opacity: 0.8;
            }
        }
    }
}

.home-mini-item-container {
    padding: 25px;
    margin-bottom: 25px;

    .home-mini-item {
        position: relative;
        border: solid 1px #fbf9f8;
        margin-top: 1em;
        margin-bottom: 1.5em;
        height: 100%;
        padding: 60px 25px 10px 25px;
        color: #fbf9f8;
        transition: all 0.4s ease;

        &:before {
            content: "";
            font-family: 'bootstrap-icons', sans-serif;
            position: absolute;
            top: -1em;
            left: 10px;
            background: radial-gradient(#0a1118, #0a1118, transparent 70%);
            padding: 10px;
            color: #fbf9f8;
            font-size: 4em;
        }

        &.home-item-1 {
            &:before {
                /*font-family: "Bootstrap Icons";*/
                content: "\F130";
            }
        }

        &.home-item-2 {
            &:before {
                content: "\F8E6";
            }
        }

        &.home-item-3 {
            &:before {
                content: "\F906";
            }
        }

        &.home-item-4 {
            &:before {
                content: "\F684";
            }
        }

        &.home-item-5 {
            &:before {
                content: "\F1C7";
            }
        }

        &.home-item-6 {
            &:before {
                content: "\F6E0";
            }
        }

        &:hover {
            background-color: #0d161f;
            border: solid 1px rgba(251, 249, 248, 0.66);
            transition: all 0.3s ease;
            &:before {
                /*font-size: 4.5em;*/
                /*transform: rotate(9deg);*/
                /*animation: headShake;*/
                /*animation-duration: 1.2s;*/
                /*transition: all 0.4s ease-in;*/
            }
        }

    }
}